Name:		xfce4-cpugraph-plugin
Version:	0.2.2
Release:	5%{?dist}
Summary:	CPU monitor for the Xfce panel

Group:		User Interface/Desktops
License:	BSD
URL:		http://xfce-goodies.berlios.de/
Source0:	http://download.berlios.de/xfce-goodies/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.2, libxfcegui4-devel  >= 4.2, libxml2-devel
Requires:	xfce4-panel >= 4.2

%description
A CPU monitor plugin for the Xfce panel. It offers multiple display modes 
(LED, gradient, fire, etc...) to show the current CPU load of the system. The 
colors and the size of the plugin are customizable.

%prep
%setup -q -n %{name}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/xfce4/panel-plugins/*.so

%changelog
* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.2.2-5
- Require xfce4-panel.

* Mon Nov 28 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.2-4
- Rebuild with new source because of md5sum mismatch.
- Add libxfcegui4-devel BuildReqs.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.2-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.2-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.2-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.2-1.fc3.cw
- Initial RPM release.
